<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Core_Widget_LocationDetectController extends Engine_Content_Widget_Abstract {

  public function indexAction() {
  
    if(Engine_Api::_()->getApi('settings', 'core')->getSetting('enableglocation', 0) != 1)
      $this->setNoRender();

		$this->view->cookiedata = Engine_Api::_()->getApi('location', 'core')->getUserLocationBasedCookieData();
  }
}
